Subject: Re: bug#61652: 28.2; Read-only mode and View mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Sep 2023 14:32:18 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 5 Sep 2023 16:48:02 -0700
> Cc: Bernd Rellermeyer <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Bernd Rellermeyer <[email-masked]>
> >> Date: Tue, 21 Feb 2023 13:46:50 +0100
> >> Cc: [email-masked]
> >>
> >> In step 3, View mode is entered implicitly, because `view-read-only` is
> >> non-nil. From the user perspective it is only one command. I.e. the user just
> >> turns off and on Read-only mode. That means the user enters View mode vie
> >> Read-Only mode from a writable buffer. I think this should not alter the
> >> behavior of `View-exit` and after calling `View-exit` he should be in a
> >> writable buffer. Or am I wrong?
> >
> > I'm not sure I agree with your interpretation.
> >
> > Does anyone else have an opinion?
> 
> I don't think I agree either.  Once the user starts changing
> read-only-mode, I think disabling it when leaving view-mode would be
> surprising.
> 
> In any case, leaving it as read-only is only a minor annoyance.
> Changing it to read-write means the user can suddenly start doing
> destructive things in a situation where that might be unexpected.
> 
> So I'm not sure we should do anything at all here.

Since no one has chimed in during all this time, I think we should
leave this alone.